group 'org.leanflutter.plugins.flutter_qiyu'
version '1.0'

buildscript {
    repositories {
        google()
        mavenCentral()
    }

    dependencies {
        classpath 'com.android.tools.build:gradle:7.3.0'
    }
}

rootProject.allprojects {
    repositories {
        google()
        mavenCentral()
    }
}


// 加载 local.properties 文件
def localProperties = new Properties()
def localPropertiesFile = rootProject.file('local.properties')
if (localPropertiesFile.exists()) {
    localPropertiesFile.withInputStream { stream ->
        localProperties.load(stream)
    }
}

// 读取变量
def flutterSdk = localProperties.getProperty('flutter.sdk')

apply plugin: 'com.android.library'

android {
    compileSdkVersion 31

    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }

    defaultConfig {
        minSdkVersion 16
    }

    lintOptions {
        disable 'InvalidPackage'
    }
}

dependencies {
    //flutter
    compileOnly files("$flutterSdk/bin/cache/artifacts/engine/android-arm/flutter.jar")

    //AndroidX
    compileOnly "androidx.annotation:annotation:1.1.0"
    compileOnly 'androidx.activity:activity:1.6.1'

    implementation "androidx.constraintlayout:constraintlayout:2.1.1"
    implementation 'com.qiyukf.unicorn:unicorn:+'
    implementation 'com.github.bumptech.glide:glide:4.10.0'
//    annotationProcessor 'com.github.bumptech.glide:compiler:4.10.0'
//    implementation 'com.github.getActivity:XXPermissions:20.0'
}
